Bug 1011696 - (jdo-api) Review Request: jdo-api
Review Request: jdo-api
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: bigdata-review datanucleus-core 1011962
  Show dependency treegraph
 
Reported: 2013-09-24 17:02 EDT by Pete MacKinnon
Modified: 2013-12-13 22:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-14 16:42:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
review notes (7.36 KB, text/plain)
2013-09-26 23:09 EDT, gil cattaneo
no flags Details

  None (edit)
Description Pete MacKinnon 2013-09-24 17:02:31 EDT
The Java Data Objects (JDO) API is a standard interface
based Java model abstraction of persistence, developed as
Java Specification Requests (JSR 12 and 243) under the
auspices of the Java Community Process.

Note that this is the 3.1 version. jdo2-api is the 2.2 API and apparently is required by the springframework package(s).

SPEC URL: http://pmackinn.fedorapeople.org/jdo-api/jdo-api.spec
SRPM URL: http://pmackinn.fedorapeople.org/jdo-api/jdo-api-3.1-0.1.rc1.fc19.src.rpm
Comment 1 gil cattaneo 2013-09-24 20:30:13 EDT
i would like to take this review
Comment 2 gil cattaneo 2013-09-24 20:46:54 EDT
please add as build requires mvn(org.apache.maven.shared:maven-shared-components)
or simply maven-shared

[INFO] --- maven-site-plugin:3.3:attach-descriptor (attach-descriptor) @ parent-pom ---
[WARNING] Failed to resolve artifact: org.apache.maven.shared:maven-shared-components:pom:16
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-site-plugin:3.3:attach-descriptor (attach-descriptor) on project parent-pom: Execution attach-descriptor of goal org.apache.maven.plugins:maven-site-plugin:3.3:attach-descriptor failed: Plugin org.apache.maven.plugins:maven-site-plugin:3.0 or one of its dependencies could not be resolved: Failed to collect dependencies at org.apache.maven.plugins:maven-site-plugin:jar:3.0 -> org.apache.maven.doxia:doxia-integration-tools:jar:1.5: Failed to read artifact descriptor for org.apache.maven.doxia:doxia-integration-tools:jar:1.5: Cannot access central (http://repo.maven.apache.org/maven2) in offline mode and the artifact org.apache.maven.shared:maven-shared-components:pom:16 has not been downloaded from it before. -> [Help 1]
thanks
Comment 3 gil cattaneo 2013-09-24 21:29:18 EDT
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5979312
you should change also
%mvn_file : %{name}
with
%mvn_file :jdo-api %{name}

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=5979426
Comment 5 gil cattaneo 2013-09-26 23:09:07 EDT
Created attachment 803693 [details]
review notes

approved
Comment 6 Pete MacKinnon 2013-09-27 09:37:44 EDT
New Package SCM Request
=======================
Package Name: jdo-api
Short Description: JDO API is a standard interface for Java persistence
Owners: pmackinn
Branches: f19 f20
InitialCC: java-sig
Comment 7 Pete MacKinnon 2013-09-27 09:43:52 EDT
Sorry I guess should be:

Branches: f19 f20 f21
Comment 8 Kevin Fenzi 2013-09-27 14:52:01 EDT
Git done (by process-git-requests).

There's no seperate f21 branch yet. There's master/rawhide which is heading 
toward f21 currently, and thats always created.
Comment 9 Fedora Update System 2013-12-02 19:01:58 EST
jdo-api-3.1-0.3.rc1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/jdo-api-3.1-0.3.rc1.fc20
Comment 10 Fedora Update System 2013-12-13 22:06:26 EST
jdo-api-3.1-0.3.rc1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.